<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:id="@+id/ll_placeholder"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center">

            <View
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_30dp"
                android:layout_height="@dimen/d_10dp"
                android:layout_marginLeft="@dimen/d_15dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center">

            <View
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_30dp"
                android:layout_height="@dimen/d_10dp"
                android:layout_marginLeft="@dimen/d_15dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/d_18dp"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="62dp"
                android:layout_height="62dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_50dp"
                android:layout_height="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="62dp"
                android:layout_height="62dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_50dp"
                android:layout_height="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="62dp"
                android:layout_height="62dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_50dp"
                android:layout_height="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="180dp"
        android:layout_marginLeft="@dimen/d_15dp"
        android:layout_marginTop="@dimen/d_19dp"
        android:layout_marginRight="@dimen/d_15dp"
        android:background="@drawable/shimmer_bg_rounded_corners5" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_50dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <View
            android:layout_width="@dimen/d_120dp"
            android:layout_height="@dimen/d_15dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:background="@color/shimmer_background_color" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_weight="1" />

        <View
            android:layout_width="@dimen/d_50dp"
            android:layout_height="@dimen/d_15dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:background="@color/shimmer_background_color" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_25dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/d_15dp"
        android:orientation="horizontal">

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_25dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_50dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <View
            android:layout_width="@dimen/d_120dp"
            android:layout_height="@dimen/d_15dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:background="@color/shimmer_background_color" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_weight="1" />

        <View
            android:layout_width="@dimen/d_50dp"
            android:layout_height="@dimen/d_15dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:background="#dedede" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_25dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/d_15dp"
        android:orientation="horizontal">

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_25dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/d_95dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_weight="1"
            android:background="@drawable/shimmer_bg_rounded_corners5" />

    </LinearLayout>

</LinearLayout>

